eoVRPUtils::ClientData(3)

NAME
eoVRPUtils::ClientData - Information regarding each client in the dataset.

SYNOPSIS

#include <eoVRPUtils.h>

  Public Attributes
unsigned id
Client ID number.
double x
Client's 'x' position in the map.
double y
Client's 'y' position in the map.
double demand
Client's demand of delivered product.
double readyTime
Client's beginning of the time window.
double dueTime
Client's end of the time window.
double serviceTime
Client's service time (time needed to serve the product).

Detailed Description

Information regarding each client in the dataset. This structure is intended to be used to store the information of each client read from the data file.

Definition at line 86 of file eoVRPUtils.h.

Author

Generated automatically by Doxygen for CVRP-TW from the source code.